zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Patrick Hunt (JIRA)" <j...@apache.org>
Subject [jira] [Created] (ZOOKEEPER-2914) compiler warning using java 9
Date Wed, 04 Oct 2017 17:42:01 GMT
Patrick Hunt created ZOOKEEPER-2914:
---------------------------------------

             Summary: compiler warning using java 9
                 Key: ZOOKEEPER-2914
                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-2914
             Project: ZooKeeper
          Issue Type: Bug
          Components: build
    Affects Versions: 3.5.4, 3.6.0, 3.4.11
            Reporter: Patrick Hunt
            Priority: Minor
             Fix For: 3.5.4, 3.6.0, 3.4.11


There are a number of warnings that crop up on branch 3.4/3.5/trunk when compiling "ant clean
compile-test" using java 9.

Perhaps someone can verify/fix any warning across the jdks that we support (jdk6/7/8/9) and
9 in particular since it's just reached GA.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message